<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title></title>
    <meta name="viewport" content="width=device-width" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <style>
		!vpn_styles.css!
    </style>
</head>
<body>
    <table class="wrapper">
        <tr>
            <td colspan="2">
	            <div class="main">
		            <img src="#vpn.png#" class="vpn_logo" id="vpnLogo" />
		            <p class="product-name" id="vpnProductName">$ProductName$</p>
		            <div class="content">
		            <h1 id="vpnAskToEnableVpnDescription">$AskToEnableVpnDescription$</h1>
			            <div class="buttons">
				            <form class="button-wrapper" onclick="enableVpn(); return false;">
								<button class="button" id="vpnEnableVpnButtonText"><span class="button__text">$EnableVpnButtonText$</span></button>
							</form>
							<form class="button-wrapper" onclick="declineVpn(); return false;">
								<button class="button" id="vpnDeclineVpnButtonText"><span class="button__text">$DeclineVpnButtonText$</span></button>
							</form>
			            </div>
		            <div class="checkbox margin-top-g4">
			            <input type="checkbox" id="rememberChoice">
			            <label for="rememberChoice">$RememberChoiceText$</label>
		            </div>
					<div class="margin-top-g6">
						<a id="vpnButtonSettings" class="button_borderless" href="%ShowSettingsUrl%" onclick="showSettings(); return false;">$VpnShowSettings$</a>
					</div>
	            </div>
            </div>
            </td>
        </tr>
        <tr height="50">
            <td>
                <img src="#kl_logo.png#" class="kl_logo" id="vpnKlLogo" />
            </td>
            <td>
            </td>
        </tr>
    </table>

    <script>
        ?navigate_to_cup_stub.js?
        
        function enableVpn() {
            if (document.getElementById('rememberChoice').checked) {
                navigateToCupStub("%EnableVpnAndSave%");
            }
            else {
                navigateToCupStub("%EnableVpn%");
            }
        }

        function declineVpn() {
            if (document.getElementById('rememberChoice').checked) {
                navigateFromStub("%DeclineVpnAndSave%");
            }
            else {
                navigateFromStub("%DeclineVpn%");
            }
        }

        function callAsyncCup(url) {
            var xhr = new XMLHttpRequest();
            xhr.open("GET", url);
            xhr.send();
        }

        function showSettings() {
            callAsyncCup("%ShowSettingsUrl%");
        }
    </script>
</body>
</html>
